Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 478919 - Review Request: globus-xio-gsi-driver - Globus Toolkit - Globus XIO GSI Driver
Summary: Review Request: globus-xio-gsi-driver - Globus Toolkit - Globus XIO GSI Driver
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: gpt 467237 467239 478917 478918
Blocks: 478921
TreeView+ depends on / blocked
 
Reported: 2009-01-06 00:57 UTC by Mattias Ellert
Modified: 2009-05-28 08:17 UTC (History)
4 users (show)

Fixed In Version: 0.6-1.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-28 08:02:06 UTC
oget.fedora: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2009-01-06 00:57:52 UTC
Spec URL: http://www.grid.tsl.uu.se/repos/globus/info/globus-xio-gsi-driver.spec
SRPM URL: http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-xio-gsi-driver-0.6-0.3.fc10.src.rpm

Description:
The Globus Toolkit is an open source software toolkit used for
building Grid systems and applications. It is being developed by the
Globus Alliance and many others all over the world. A growing number
of projects and companies are using the Globus Toolkit to unlock the
potential of grids for their cause.

The globus-xio-gsi-driver package contains:
Globus XIO GSI Driver

BuildRequires:	grid-packaging-tools
BuildRequires:	gssapi-error-devel >= 2
BuildRequires:	globus-gss-assist-devel >= 3
BuildRequires:	globus-xio-devel
BuildRequires:	globus-gssapi-gsi-devel >= 4

Based on the globus toolkit 4.2.1 release.

Applied patches submitted upstream:

Fix wrong dependency type:
http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6586

Environment variable elimination patch:
http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6587

Dereferencing of type-punned pointers:
http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6606

Comment 1 Mattias Ellert 2009-03-16 00:01:19 UTC
New version
- Added s390x as 64 bit arch
- Added comment documenting source
- Adapt to changes in the globus-core package

http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-xio-gsi-driver-0.6-0.5.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/globus-xio-gsi-driver.spec

Comment 2 Mattias Ellert 2009-04-17 13:44:55 UTC
Package updated due to new packaging guidelines
- Change defines to globals
- Remove explicit requires on library packages

http://www.grid.tsl.uu.se/repos/globus/info/new/globus-xio-gsi-driver-0.6-1.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/new/globus-xio-gsi-driver.spec

Draft packaging guidelines for Globus packages are now available:
http://fedoraproject.org/wiki/PackagingDrafts/Globus

Comment 3 Thomas Sailer 2009-04-27 12:38:10 UTC
Scratch build fails, but seems to be an infrastructure problem:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1322151

Mock build also fails, due to missing gssapi-error-devel

Sources match upstream:
diff -urN globus_xio_gsi_driver-0.6 globus_xio_gsi_driver-0.6-dl
is silent.

Comment 4 Mattias Ellert 2009-05-22 11:42:42 UTC
(In reply to comment #3)
> Mock build also fails, due to missing gssapi-error-devel

gssapi-error-devel was renamed globus-gssapi-error-devel and is now available.
This package was updated accordingly at the time this change was made. I hadn't realised anyone had downloaded the previous version already, so I didn't bump the release number.

Comment 5 Orcan Ogetbil 2009-05-24 16:39:15 UTC
My notes for this one (everything seems fine):

- Koji rawhide build is fine
   http://koji.fedoraproject.org/koji/taskinfo?taskID=1374872

- rpmlint
   globus-xio-gsi-driver-devel.x86_64: W: no-documentation
can be ignored

- The package contains libtool archives, but as documented, these are needed during runtime.

? sed -e 's!gssapi_error!globus_&!' -i pkgdata/pkg_data_src.gpt.in
Did upstream adapt to this namespace change? It looks like all the depending parts (to globus-gssapi-error) need to be modified.

--------------------------------------------------------
This package (globus-xio-gsi-driver) is APPROVED by oget
--------------------------------------------------------

Comment 6 Mattias Ellert 2009-05-25 06:41:23 UTC
The namespace change was accepted upstream:

http://viewcvs.globus.org/viewcvs.cgi/gsi/gssapi_error/source/pkgdata/pkg_data_src.gpt.in?r1=1.12&r2=1.13


New Package CVS Request
=======================
Package Name: globus-xio-gsi-driver
Short Description: Globus Toolkit - Globus XIO GSI Driver
Owners: ellert
Branches: F-9 F-10 F-11 EL-4 EL-5
InitialCC:

Comment 7 Jason Tibbitts 2009-05-26 22:13:24 UTC
CVS done.

Comment 8 Fedora Update System 2009-05-27 06:06:44 UTC
globus-xio-gsi-driver-0.6-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/globus-xio-gsi-driver-0.6-1.fc10

Comment 9 Fedora Update System 2009-05-27 06:06:50 UTC
globus-xio-gsi-driver-0.6-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-xio-gsi-driver-0.6-1.fc11

Comment 10 Fedora Update System 2009-05-27 06:06:56 UTC
globus-xio-gsi-driver-0.6-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/globus-xio-gsi-driver-0.6-1.fc9

Comment 11 Fedora Update System 2009-05-28 08:02:01 UTC
globus-xio-gsi-driver-0.6-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-05-28 08:16:29 UTC
globus-xio-gsi-driver-0.6-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-05-28 08:17:32 UTC
globus-xio-gsi-driver-0.6-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.